Bug 1304987 - Should prompt non-exist error info on resource page when user got 404 in accessing resources
Should prompt non-exist error info on resource page when user got 404 in acce...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 03:28 EST by yapei
Modified: 2016-05-12 13:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:11:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NoErrorWhenGot404 (56.28 KB, image/png)
2016-02-05 03:28 EST, yapei
no flags Details
ErrorInfoDisplayed (66.44 KB, image/png)
2016-02-05 03:28 EST, yapei
no flags Details

  None (edit)
Description yapei 2016-02-05 03:28:10 EST
Created attachment 1121296 [details]
NoErrorWhenGot404

Description of problem:
On web console, when accessing resources already deleted or not exist will got 404 response from server, except for result code 404, should also show non-exist error message on resource page, such us "The <requested resource> details could not be loaded.Reason: <requested resource>" <requested resource value>" not found"on resource page

Version-Release number of selected component (if applicable):
devenv-rhel7_3335

How reproducible:
Always

Steps to Reproduce:
1. Access non-exist buildconfig via URL https://<server>:8443/console/project/yapei-test/browse/builds/ruby-sample-build-445
2. Access deleted deploymentconfig via URL https://openshift-107.lab.sjc.redhat.com:8443/console/project/yapei-test/browse/deployments/frontend 

Actual results:
1-2. Blank page returned, refer to attachment      

Expected results:
1-2. Should show error info on resource pages,refer to attachment 

Additional info:
Comment 1 yapei 2016-02-05 03:28 EST
Created attachment 1121297 [details]
ErrorInfoDisplayed
Comment 2 Jessica Forrester 2016-02-08 10:05:07 EST
fixed as part of another PR, "Loading..." messages were also not appearing on some pages
Comment 3 yapei 2016-02-13 20:50:47 EST
checked on devenv-rhel7_3419, issue is fixed

Note You need to log in before you can comment on or make changes to this bug.